Subject: [bug#77288] [PATCH v2 2/8] doc: Document migration to the unprivileged daemon.

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Mon, 21 Apr 2025 13:07:57 +0200

Maxim Cournoyer <[email-masked]> writes:
> Documented as a choice in the manual yes, but I was referring to the
> fact that we'll have a full blown 'migrating' section, that will make
> less sense in 5 years time when most will already using the privileged
> daemon without even knowing it (assuming it becomes the default as
> planned).

We can never fully remove the root-privileged option on less-capable
init systems, or when someone decides to put Guix in complicated chroot,
WSL, Docker environments or perhaps semi-virtualized other operating
systems?

Let’s see, maybe there’s no longer a need to migrate then.  But I would
expect the Setting up the Daemon instructions will remain.

Regards,
Florian